export interface IHttpClinetPostOptions {
    /**
     * 域名
     */
    url: string;
    /**
     * querystring
     */
    querystring?: any;
    /**
     * post的数据
     */
    post?: any;
    /**
     * 头部
     */
    headers?: {
        /**
         * 进行传递的cookies
         */
        cookies?: any;
        hosts?: string;
        userAgent?: string;
        XRequestedWith?: "XMLHttpRequest";
    };
}
export interface IHttpClientGetOptions {
    /**
     * 是否走服务器代理
     */
    proxy?: boolean;
    text?: boolean;
    proxyOptions?: {
        /**
         * 代理模式下该值可做为指定的cookie传递
         */
        cookies?: string;
        text?: boolean;
        file?: boolean;
        gzip?: boolean;
        cache?: boolean;
    };
}
